{#
/**
 * @file
 * Default theme implementation to display a paragraph.
 *
 * Available variables:
 * - paragraph: Full paragraph entity.
 *   Only method names starting with "get", "has", or "is" and a few common
 *   methods such as "id", "label", and "bundle" are available. For example:
 *   - paragraph.getCreatedTime() will return the paragraph creation timestamp.
 *   - paragraph.id(): The paragraph ID.
 *   - paragraph.bundle(): The type of the paragraph, for example, "image" or "text".
 *   - paragraph.getOwnerId(): The user ID of the paragraph author.
 *   See Drupal\paragraphs\Entity\Paragraph for a full list of public properties
 *   and methods for the paragraph object.
 * - content: All paragraph items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - paragraphs: The current template type (also known as a "theming hook").
 *   - paragraphs--type-[type]: The current paragraphs type. For example, if the paragraph is an
 *     "Image" it would result in "paragraphs--type--image". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - paragraphs--view-mode--[view_mode]: The View Mode of the paragraph; for example, a
 *     preview would result in: "paragraphs--view-mode--preview", and
 *     default: "paragraphs--view-mode--default".
 * - view_mode: View mode; for example, "preview" or "full".
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * Content: Card Paragraph field values
 * - field_wysiwyg: Quote
 * - field_wysiwyg_2: Citation
 * - field_media: image
 * - image_position: key value to determine image position
 * - text_alignment: key value class for text alignment
 *
 * @see template_preprocess_paragraph()
 *
 * @ingroup themeable
 */
#}
{%
  set classes = [
    'paragraph',
    'paragraph--type--' ~ paragraph.bundle|clean_class,
    view_mode ? 'paragraph--view-mode--' ~ view_mode|clean_class,
    not paragraph.isPublished() ? 'paragraph--unpublished',
    'quote row align-items-center'
  ]
%}
{% set quote_class = [
    text_alignment ? 'text-' ~ text_alignment|clean_class,
    'mb-2 mb-lg-0'
  ]
%}
{% block paragraph %}
  <figure{{ attributes.addClass(classes) }}>
    {% block content %}
      {% if content.field_media[0] %}
        {% if image_position == 0 %}
          <div class="col-12 mb-2 mb-lg-0 col-lg-8">
            {% if content.field_wysiwyg %}
              <blockquote{{ attributes.addClass(quote_class).removeClass(classes) }}>{{ content.field_wysiwyg }}</blockquote>
            {% endif %}
            {% if content.field_wysiwyg_2 %}
              <figcaption{{ attributes.addClass(quote_class).removeClass(classes) }}>{{ content.field_wysiwyg_2 }}</figcaption>
            {% endif %}
          </div>
          <div class="col-12 mb-2 mb-lg-0 col-lg-4">
            {{ drupal_image(content.field_media[0]['#media'].field_media_image.entity.uri.value, content.field_media[0]['#view_mode'], {alt: content.field_media[0]['#media'].field_media_image.value.0.alt|t, class: 'img-fluid'}, responsive=true) }}
          </div>
        {% else %}
          <div class="col-12 mb-2 mb-lg-0 col-lg-4">
            {{ drupal_image(content.field_media[0]['#media'].field_media_image.entity.uri.value, content.field_media[0]['#view_mode'], {alt: content.field_media[0]['#media'].field_media_image.value.0.alt|t, class: 'img-fluid'}, responsive=true) }}
          </div>
          <div class="col-12 mb-2 mb-lg-0 col-lg-8">
            {% if content.field_wysiwyg %}
              <blockquote{{ attributes.addClass(quote_class).removeClass(classes) }}>{{ content.field_wysiwyg }}</blockquote>
            {% endif %}
            {% if content.field_wysiwyg_2 %}
              <figcaption{{ attributes.addClass(quote_class).removeClass(classes) }}>{{ content.field_wysiwyg_2 }}</figcaption>
            {% endif %}
          </div>
        {% endif %}
      {% else %}
        <div class="col mb-2 mb-lg-0">
          {% if content.field_wysiwyg %}
            <blockquote{{ attributes.addClass(quote_class).removeClass(classes) }}>{{ content.field_wysiwyg }}</blockquote>
          {% endif %}
          {% if content.field_wysiwyg_2 %}
            <figcaption{{ attributes.addClass(quote_class).removeClass(classes) }}>{{ content.field_wysiwyg_2 }}</figcaption>
          {% endif %}
        </div>
      {% endif %}
    {% endblock content %}
  </figure>
{% endblock paragraph %}
